from django.urls import path, include

from . import views as ev

app_name = 'userapp'

urlpatterns = [
    path("activate/<uidb64>/<token>/", ev.activate, name="activate"),
    path("signin", ev.signin, name="signin"),
    # path("signup", ev.signup, name="signup"),
    path("logout", ev.Logout.as_view(), name="logout"),
    path("to_login", ev.to_login, name="to_login"),
    path("to_signup", ev.to_signup, name="to_signup"),
    
    # forget password
    path("to_forgetpass", ev.to_forgetpassword, name="to_forget_pass"),
    path("resetpass", ev.generateLinkForPasswordUpdate, name="resetpass"),
    path("to_updatepass/<uidb64>/<token>/", ev.to_updatepass, name="to_updatepass"),
    path("updatepass", ev.updatePassword, name="updatepass"),
]
